package org.glassfish.test;

import javax.ejb.EJB;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Named;

@Named("cdiBean")
@ApplicationScoped
public class CdiBean {
    @EJB
    private InjectableEjbRemote injectableEjb;

    public String getTest() {
        String result = "Ejb bean has not injected";
        if (injectableEjb != null){
            result = injectableEjb.sayTest();
        }
        return result;
    }
}
